/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Interred Grizzle\Rare Drop\GrizzledMare.cs
Lines of code: 65
***********************************************************/


using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "a undead corpse" )]
	public class GrizzledMare : BaseMount
	{
		[Constructable]
		public GrizzledMare() : this( "Grizzled Mare" )
		{
		}

		[Constructable]
		public GrizzledMare( string name ) : base( name, 793, 0x3EBB, AIType.AI_Super, FightMode.Aggressor, 10, 1, 0.2, 0.4 )
		{
		    Body = 793;
			Hue = 0;
            SetStr( 230, 250 );
			SetDex( 110, 125 );
			SetInt( 115, 130 );

			SetHits( 230, 250 );
			SetStam( 110, 125 );
			SetMana( 115, 130 );

			SetDamage( 25, 30 );
			
			SetDamageType( ResistanceType.Fire, 75 );
			SetDamageType( ResistanceType.Physical, 25 );

			SetResistance( ResistanceType.Physical, 100, 100 );
			SetResistance( ResistanceType.Fire, 50, 50 );
			SetResistance( ResistanceType.Cold, 50, 50 );
			SetResistance( ResistanceType.Poison, 50, 50 );
			SetResistance( ResistanceType.Energy, 50, 50 );

			SetSkill( SkillName.SpiritSpeak, 20.4, 50.0 );
			SetSkill( SkillName.Necromancy, 50.4, 80.0 );
			SetSkill( SkillName.MagicResist, 102.3, 105.0 );
			SetSkill( SkillName.Tactics, 50.0, 75.0);
			SetSkill( SkillName.Wrestling, 98.5, 105.0 );

			Fame = 2000;
			Karma = -2000;

			Tamable = true;
			ControlSlots = 2;
		}

		public override double GetControlChance( Mobile m )
		{
			return 1.0;
		}

		//public override bool AutoDispel{ get{ return !Controlled; } }
		public override PackInstinct PackInstinct{ get{ return PackInstinct.Equine; } }
		public override bool HasBreath{ get{ return true; } }
		public override int BreathPoisonDamage{ get{ return 100; } }
		public override int BreathFireDamage{ get{ return 0; } }
		public override int BreathEffectHue{ get{ return 63; } }
		public override FoodType FavoriteFood{ get{ return FoodType.Meat; } }

		public GrizzledMare( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}